- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axutil_base64_binary.h File Reference

axis2-util base64 encoding holder More...

`#include <axutil_base64.h>`
`#include <axutil_utils_defines.h>`
`#include <axutil_env.h>`

Go to the source code of this file.

## Typedefs
typedef struct axutil_base64_binary | axutil_base64_binary_t
## Functions
AXIS2_EXTERN axutil_base64_binary_t * | axutil_base64_binary_create (const axutil_env_t *env)
AXIS2_EXTERN axutil_base64_binary_t * | axutil_base64_binary_create_with_plain_binary (const axutil_env_t *env, const unsigned char *plain_binary, int plain_binary_len)
AXIS2_EXTERN axutil_base64_binary_t * | axutil_base64_binary_create_with_encoded_binary (const axutil_env_t *env, const char *encoded_binary)
AXIS2_EXTERN void | axutil_base64_binary_free (axutil_base64_binary_t *base64_binary, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_base64_binary_set_plain_binary (axutil_base64_binary_t *base64_binary, const axutil_env_t *env, const unsigned char *plain_binary, int plain_binary_len)
AXIS2_EXTERN unsigned char * | axutil_base64_binary_get_plain_binary (axutil_base64_binary_t *base64_binary, const axutil_env_t *env, int *plain_binary_len)
AXIS2_EXTERN axis2_status_t | axutil_base64_binary_set_encoded_binary (axutil_base64_binary_t *base64_binary, const axutil_env_t *env, const char *encoded_binary)
AXIS2_EXTERN char * | axutil_base64_binary_get_encoded_binary (axutil_base64_binary_t *base64_binary, const axutil_env_t *env)
AXIS2_EXTERN int | axutil_base64_binary_get_encoded_binary_len (axutil_base64_binary_t *base64_binary, const axutil_env_t *env)
AXIS2_EXTERN int | axutil_base64_binary_get_decoded_binary_len (axutil_base64_binary_t *base64_binary, const axutil_env_t *env)

## Detailed Description

axis2-util base64 encoding holder